using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using SystemCommon;


namespace 顧客分析君
{
    public partial class _105拡張MSGBOX : Form
    {
        ////////////////////////////////////////////////////////////////////////
        // メンバ変数
        ////////////////////////////////////////////////////////////////////////
        #region メンバ変数

        public string mstrメッセージタイトル;
        public string mstrメッセージ詳細;

        #endregion

        ////////////////////////////////////////////////////////////////////////
        // 公開 共通メソッド 
        ////////////////////////////////////////////////////////////////////////
        #region 公開 共通メソッド

        public _105拡張MSGBOX()
        {
            InitializeComponent();
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////
        // 非公開 共通メソッド
        ////////////////////////////////////////////////////////////////////////
        #region 非公開 共通メソッド

        #endregion

        ////////////////////////////////////////////////////////////////////////
        // イベントハンドラ
        ////////////////////////////////////////////////////////////////////////
        #region イベントハンドラ

        private void _105拡張MSGBOX_Load(object sender, EventArgs e)
        {
            try
            {
                this.Text = mstrメッセージタイトル;
                lblメッセージ詳細.Text = mstrメッセージ詳細;

                Bitmap bmp = new Bitmap(288, 32);
                Graphics g = Graphics.FromImage(bmp);
                g.DrawIcon(SystemIcons.Warning, 0, 0);
                g.Dispose();
                pctIcon.Image = bmp; 

            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_105拡張MSGBOX", "_105拡張MSGBOX_Load", ex);
            }
        }

        private void btnＯＫ_Click(object sender, EventArgs e)
        {
            try
            {
				if (chk次回から非表示.Checked == true)
				{
					//d01属性ta.Update("0", C02業務共通処理.miログインスタッフNo, 57);
					d01属性ta.Update("0", C02業務共通処理.miログインスタッフNo, 57);
				}

                this.Close();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_105拡張MSGBOX", "btnＯＫ_Click", ex);
            }
        }

        #endregion
    }
}
